classification
Title: Remove symbol.sym_name
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.10
process
Status: closed Resolution: duplicate
Dependencies: Superseder: Remove the old parser
View: 40939
Assigned To: Nosy List: andrei.avk, nanjekyejoannah, terry.reedy
Priority: normal Keywords: patch

Created on 2020-07-07 22:51 by nanjekyejoannah, last changed 2021-08-13 17:12 by andrei.avk. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 21381 closed nanjekyejoannah, 2020-07-07 22:56
Messages (5)
msg373261 - (view) Author: Joannah Nanjekye (nanjekyejoannah) * (Python committer) Date: 2020-07-07 22:51
symbol.sym_name was already removed yet still documented in library/symbol.rst.

I suggest completely removing the docs too since the module is non-existing.
msg373503 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2020-07-11 02:14
I verified that import symbol works in 3.9 and raises in 3.10.  So yes, doc and its reference should have gone too.  Good catch.
msg399489 - (view) Author: Andrei Kulakov (andrei.avk) * (Python triager) Date: 2021-08-13 01:52
This can be closed; from the PR note:
Resolved in PR #21624, can close.
msg399544 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2021-08-13 15:59
Andrei, on bpo, # tags numbers as bpo numbers, and creates links to bpo issues, whereas in PRs, # tags numbers as PR numbers and creates links to PRs.  So # must be removed and PR added when transferring references. So: PR 21624 or PR21624 or even, says the tracker doc, pull request 21624.
msg399545 - (view) Author: Andrei Kulakov (andrei.avk) * (Python triager) Date: 2021-08-13 17:12
Terry: thanks! - that's good to know.
History
Date User Action Args
2021-08-13 17:12:04andrei.avksetmessages: + msg399545
2021-08-13 16:00:49terry.reedysetstatus: open -> closed
superseder: Remove the old parser
resolution: duplicate
stage: patch review -> resolved
2021-08-13 15:59:55terry.reedysetmessages: + msg399544
2021-08-13 01:52:22andrei.avksetnosy: + andrei.avk
messages: + msg399489
2020-07-11 02:14:16terry.reedysetnosy: + terry.reedy
messages: + msg373503
2020-07-07 22:56:44nanjekyejoannahsetkeywords: + patch
stage: patch review
pull_requests: + pull_request20526
2020-07-07 22:51:30nanjekyejoannahcreate